Subject: RE: [nfsv4] mode bits

From: "Yoder, Alan" <[email-masked]>
Date: Fri, 11 Nov 2005 10:43:41 -0800

At some appropriate point, I'd propose changing

  "The remaining bits are not defined by this protocol 
   and MUST NOT be used."

to

  "The bits in the mode that are not #defined above 
   MUST be zero."

(I don't know as it's all that obvious to everyone
 what "not using" some bits means either.)

Alan

===============================================================
Alan G. Yoder                                    [email-masked]
Technical Staff                           
Network Appliance, Inc.                            408-822-6919
===============================================================

> -----Original Message-----
> From: Noveck, Dave 
> Sent: Friday, November 11, 2005 8:08 AM
> To: Myklebust, Trond; Yoder, Alan
> Cc: [email-masked]
> Subject: RE: [nfsv4] mode bits
> 
> Right.  It is just that the text as written isn't as clear 
> as it might be on this point.  Given that there are two
> paragraphs of explanation of the low-order nine bits with
> the three bits in question not mentioned at all in these
> paragraphs, the phrase "The remaining bits" in the last
> paragraph of the section can very easily be interpreted
> by someone as meaning "all the bits beyond the ones we
> just described".  Better would be "The bits not specified
> as the value of a constant in the list above".
> 
> -----Original Message-----
> From: Myklebust, Trond 
> Sent: Tuesday, November 08, 2005 1:24 AM
> To: Yoder, Alan
> Cc: [email-masked]
> Subject: Re: [nfsv4] mode bits
> 
> 
> On Mon, 2005-11-07 at 22:05 -0800, Yoder, Alan wrote:
> >  In section 5.11.5 RFC 3530 says
> > 
> > "The remaining bits are not defined by this protocol 
> > and MUST NOT be used.  The minor version mechanism 
> > must be used to define further bit usage."
> > 
> > I surmise that this refers to the bits MODE4_SUID, 
> > MODE4_SGID and MODE4_SVTX, which are not mentioned 
> > in the immediately foregoing paragraphs.
> 
> No. Doesn't it just refer to bits > 0x800?
> 
> MODE4_SUID, MODE4_SGID and MODE4_SVTX are definitely defined...
> 
> Cheers,
>   Trond
> 
> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nfsv4
> 

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4